wxSQLite3: wxsqlite3.h File Reference

wxSQLite3 3.3.0

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Enumerations | Functions | Variables
wxsqlite3.h File Reference

Interface of the wxSQLite3 class. More...

`#include <wx/arrstr.h>`
`#include <wx/datetime.h>`
`#include <wx/buffer.h>`
`#include <wx/hashmap.h>`
`#include <wx/regex.h>`
`#include <wx/string.h>`
`#include "wx/wxsqlite3def.h"`

## Classes
class | wxSQLite3Exception
| SQL exception. More...
class | wxSQLite3StatementBuffer
| SQL statment buffer for use with SQLite3's printf method. More...
class | wxSQLite3FunctionContext
| Context for user defined scalar or aggregate functions. More...
class | wxSQLite3ScalarFunction
| Interface for user defined scalar functions. More...
class | wxSQLite3AggregateFunction
| Interface for user defined aggregate functions. More...
class | wxSQLite3Authorizer
| Interface for a user defined authorizer function. More...
class | wxSQLite3Hook
| Interface for a user defined hook function. More...
class | wxSQLite3BackupProgress
| Interface for a user defined backup progress function. More...
class | wxSQLite3Collation
| Interface for a user defined collation sequence. More...
class | wxSQLite3ResultSet
| Result set of a SQL query. More...
class | wxSQLite3Table
| Holds the complete result set of a SQL query. More...
class | wxSQLite3Statement
| Represents a prepared SQL statement. More...
class | wxSQLite3Blob
| Represents a SQLite BLOB handle. More...
class | wxSQLite3NamedCollection
| Represents a named collection. More...
class | wxSQLite3IntegerCollection
| Represents a named integer value collection. More...
class | wxSQLite3StringCollection
| Represents a named string value collection. More...
class | wxSQLite3Database
| Represents a SQLite3 database object. More...
class | wxSQLite3Transaction
| RAII class for managing transactions. More...

## Macros
#define | wxSQLITE3_VERSION_STRING wxT("wxSQLite3 3.3.0")
| wxSQLite3 version string More...
#define | WXSQLITE_ERROR 1000
#define | WXSQLITE_INTEGER 1
#define | WXSQLITE_FLOAT 2
#define | WXSQLITE_TEXT 3
#define | WXSQLITE_BLOB 4
#define | WXSQLITE_NULL 5
#define | WXSQLITE_OPEN_READONLY 0x00000001
#define | WXSQLITE_OPEN_READWRITE 0x00000002
#define | WXSQLITE_OPEN_CREATE 0x00000004
#define | WXSQLITE_OPEN_URI 0x00000040
#define | WXSQLITE_OPEN_MEMORY 0x00000080
#define | WXSQLITE_OPEN_NOMUTEX 0x00008000
#define | WXSQLITE_OPEN_FULLMUTEX 0x00010000
#define | WXSQLITE_OPEN_SHAREDCACHE 0x00020000
#define | WXSQLITE_OPEN_PRIVATECACHE 0x00040000
#define | WXSQLITE_CHECKPOINT_PASSIVE 0
#define | WXSQLITE_CHECKPOINT_FULL 1
#define | WXSQLITE_CHECKPOINT_RESTART 2

## Typedefs
typedef long long int | wxsqlite_int64

## Enumerations
enum | wxSQLite3TransactionType { WXSQLITE_TRANSACTION_DEFAULT, WXSQLITE_TRANSACTION_DEFERRED, WXSQLITE_TRANSACTION_IMMEDIATE, WXSQLITE_TRANSACTION_EXCLUSIVE }
| Enumeration of transaction types. More...
enum | wxSQLite3LimitType { WXSQLITE_LIMIT_LENGTH = 0, WXSQLITE_LIMIT_SQL_LENGTH = 1, WXSQLITE_LIMIT_COLUMN = 2, WXSQLITE_LIMIT_EXPR_DEPTH = 3, WXSQLITE_LIMIT_COMPOUND_SELECT = 4, WXSQLITE_LIMIT_VDBE_OP = 5, WXSQLITE_LIMIT_FUNCTION_ARG = 6, WXSQLITE_LIMIT_ATTACHED = 7, WXSQLITE_LIMIT_LIKE_PATTERN_LENGTH = 8, WXSQLITE_LIMIT_VARIABLE_NUMBER = 9, WXSQLITE_LIMIT_TRIGGER_DEPTH = 10 }
| Enumeration of SQLite limitation types. More...
enum | wxSQLite3JournalMode { WXSQLITE_JOURNALMODE_DELETE = 0, WXSQLITE_JOURNALMODE_PERSIST = 1, WXSQLITE_JOURNALMODE_OFF = 2, WXSQLITE_JOURNALMODE_TRUNCATE = 3, WXSQLITE_JOURNALMODE_MEMORY = 4, WXSQLITE_JOURNALMODE_WAL = 5 }
| Enumeration of journal modes. More...
enum | wxSQLite3StatementStatus { WXSQLITE_STMTSTATUS_FULLSCAN_STEP = 1, WXSQLITE_STMTSTATUS_SORT = 2, WXSQLITE_STMTSTATUS_AUTOINDEX = 3, WXSQLITE_STMTSTATUS_VM_STEP = 4 }
| Enumeration of statement status counters. More...

## Functions
void | operator++ (wxSQLite3LimitType &value)

## Variables
class WXDLLIMPEXP_FWD_SQLITE3 | wxSQLite3Database

## Detailed Description

Interface of the wxSQLite3 class.

## Macro Definition Documentation

#define wxSQLITE3_VERSION_STRING wxT("wxSQLite3 3.3.0")

wxSQLite3 version string

#define WXSQLITE_BLOB 4

#define WXSQLITE_CHECKPOINT_FULL 1

#define WXSQLITE_CHECKPOINT_PASSIVE 0

#define WXSQLITE_CHECKPOINT_RESTART 2

#define WXSQLITE_ERROR 1000

#define WXSQLITE_FLOAT 2

#define WXSQLITE_INTEGER 1

#define WXSQLITE_NULL 5

#define WXSQLITE_OPEN_CREATE 0x00000004

#define WXSQLITE_OPEN_FULLMUTEX 0x00010000

#define WXSQLITE_OPEN_MEMORY 0x00000080

#define WXSQLITE_OPEN_NOMUTEX 0x00008000

#define WXSQLITE_OPEN_PRIVATECACHE 0x00040000

#define WXSQLITE_OPEN_READONLY 0x00000001

#define WXSQLITE_OPEN_READWRITE 0x00000002

#define WXSQLITE_OPEN_SHAREDCACHE 0x00020000

#define WXSQLITE_OPEN_URI 0x00000040

#define WXSQLITE_TEXT 3

## Typedef Documentation

typedef long long int wxsqlite_int64

## Enumeration Type Documentation

enum wxSQLite3JournalMode

Enumeration of journal modes.

Enumerator
WXSQLITE_JOURNALMODE_DELETE |
WXSQLITE_JOURNALMODE_PERSIST |
WXSQLITE_JOURNALMODE_OFF |
WXSQLITE_JOURNALMODE_TRUNCATE |
WXSQLITE_JOURNALMODE_MEMORY |
WXSQLITE_JOURNALMODE_WAL |

enum wxSQLite3LimitType

Enumeration of SQLite limitation types.

Enumerator
WXSQLITE_LIMIT_LENGTH |
WXSQLITE_LIMIT_SQL_LENGTH |
WXSQLITE_LIMIT_COLUMN |
WXSQLITE_LIMIT_EXPR_DEPTH |
WXSQLITE_LIMIT_COMPOUND_SELECT |
WXSQLITE_LIMIT_VDBE_OP |
WXSQLITE_LIMIT_FUNCTION_ARG |
WXSQLITE_LIMIT_ATTACHED |
WXSQLITE_LIMIT_LIKE_PATTERN_LENGTH |
WXSQLITE_LIMIT_VARIABLE_NUMBER |
WXSQLITE_LIMIT_TRIGGER_DEPTH |

enum wxSQLite3StatementStatus

Enumeration of statement status counters.

Enumerator
WXSQLITE_STMTSTATUS_FULLSCAN_STEP |
WXSQLITE_STMTSTATUS_SORT |
WXSQLITE_STMTSTATUS_AUTOINDEX |
WXSQLITE_STMTSTATUS_VM_STEP |

enum wxSQLite3TransactionType

Enumeration of transaction types.

Enumerator
WXSQLITE_TRANSACTION_DEFAULT |
WXSQLITE_TRANSACTION_DEFERRED |
WXSQLITE_TRANSACTION_IMMEDIATE |
WXSQLITE_TRANSACTION_EXCLUSIVE |

## Function Documentation

void operator++ | ( | wxSQLite3LimitType & | value | ) |
| inline

## Variable Documentation

class WXDLLIMPEXP_FWD_SQLITE3 wxSQLite3Database